PrefabFiles = {	"desertpalm", "coconut", "coconutmilk", "hat_bee_bw"}

Assets = 
{	
	Asset("ATLAS", "images/inventoryimages/desertpalm.xml"),
    Asset("ATLAS", "images/inventoryimages/coconut.xml"),
    Asset("ATLAS", "images/inventoryimages/coconutmilk.xml"),
    Asset("ATLAS", "images/inventoryimages/hat_bee_bw.xml"),    
    Asset( "IMAGE", "minimap/desertpalm.tex" ),
    Asset( "ATLAS", "minimap/desertpalm.xml" ),	
}
AddMinimapAtlas("minimap/desertpalm.xml")

STRINGS = GLOBAL.STRINGS
RECIPETABS = GLOBAL.RECIPETABS
Recipe = GLOBAL.Recipe
Ingredient = GLOBAL.Ingredient
TECH = GLOBAL.TECH

GLOBAL.STRINGS.NAMES.DESERTPALM = "Desert Palm"        
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.DESERTPALM = "How do I procure said coconut?"

STRINGS.RECIPE_DESC.COCONUTMILK = "Simple Refreshment"
STRINGS.NAMES.HAT_BEE_BW = "Coconut Helmet"
STRINGS.RECIPE_DESC.HAT_BEE_BW = "Spoil Your Noggen"


local coconut = Ingredient( "coconut", 1)
coconut.atlas = "images/inventoryimages/coconut.xml"
local coconutmilkrecipe = Recipe("coconutmilk", {coconut, Ingredient("ice", 2)}, RECIPETABS.FARM, {SCIENCE = 0})
coconutmilkrecipe.atlas = "images/inventoryimages/coconutmilk.xml"

local coconuthelmrecipe = Recipe("hat_bee_bw", {coconut, Ingredient("papyrus", 2)}, RECIPETABS.WAR, {SCIENCE = 0})
coconuthelmrecipe.atlas = "images/inventoryimages/hat_bee_bw.xml"
        
AddPrefabPostInit("forest", function(inst)
    inst:AddComponent("desertpalmspawner")
    end)