local assets=
{
	Asset("ANIM", "anim/coconut.zip"),
	Asset("ATLAS", "images/inventoryimages/coconut.xml"),  
	Asset("IMAGE", "images/inventoryimages/coconut.tex"),
	
}


--[[local function onfinished(inst)
    inst:RemoveComponent("inventoryitem")    
    inst:Remove()
end]]

local function MakeCoconut()
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	--local s  = 0.35
    --inst.Transform:SetScale(s,s,s)
	local anim = inst.entity:AddAnimState()
	--inst.entity:AddSoundEmitter()
	MakeInventoryPhysics(inst)
	
	anim:SetBank("coconut")
	anim:SetBuild("coconut")
	anim:PlayAnimation("idle")
	
	inst:AddTag("coconut")
	
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_MEDITEM

     inst:AddComponent("edible")
    inst.components.edible.healthvalue = 3
    inst.components.edible.hungervalue = 5
    inst.components.edible.sanityvalue = 2
    inst.components.edible.foodtype = "VEGGIE"

	inst:AddComponent("perishable")
    inst.components.perishable:SetPerishTime(TUNING.PERISH_PRESERVED)
    inst.components.perishable:StartPerishing()
    inst.components.perishable.onperishreplacement = "spoiled_food"

	inst:AddComponent("inspectable")
	inst:AddComponent("inventoryitem")	
	inst.components.inventoryitem.imagename = "coconut"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/coconut.xml"
		
	return inst
end

STRINGS.NAMES.COCONUT = "Coconut"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.COCONUT = {   
    "I know it's good. How do I get it open",
    "Mmmmmmm.....fuzzy",
}
AddIngredientValues({"coconut"}, {coconut=1})

return Prefab( "common/inventory/coconut", MakeCoconut, assets)